Package org.h2.mvstore.rtree

# Class MVRTreeMap.Builder<V>

java.lang.Object
org.h2.mvstore.MVMap.BasicBuilder<MVRTreeMap<V>,Spatial,V>
org.h2.mvstore.rtree.MVRTreeMap.Builder<V>

Type Parameters:
  `V` - the value type

All Implemented Interfaces:
  `MVMap.MapBuilder<MVRTreeMap<V>,Spatial,V>`

Enclosing class:
  MVRTreeMap<V>

public static class MVRTreeMap.Builder<V> extends MVMap.BasicBuilder<MVRTreeMap<V>,Spatial,V>
A builder for this class.

## Constructor Summary

Constructors
Constructor
Description
`Builder()`
Create a new builder for maps with 2 dimensions.

## Method Summary

Modifier and Type
Method
Description
`MVRTreeMap<V>`
`create(Map<String,Object> config)`
Create map from config.
`MVRTreeMap.Builder<V>`
`dimensions(int dimensions)`
Set the dimensions.
`MVRTreeMap.Builder<V>`
`valueType(DataType<? super V> valueType)`
Set the key data type.

### Methods inherited from class org.h2.mvstore.MVMap.BasicBuilder

`create, getKeyType, getValueType, keyType, setKeyType, setValueType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()
Create a new builder for maps with 2 dimensions.

## Method Details

### dimensions

public MVRTreeMap.Builder<V> dimensions(int dimensions)
Set the dimensions.

Parameters:
  `dimensions` - the dimensions to use
Returns:
  this

### valueType

public MVRTreeMap.Builder<V> valueType(DataType<? super V> valueType)
Set the key data type.

Overrides:
  `valueType` in class `MVMap.BasicBuilder<MVRTreeMap<V>,Spatial,V>`
Parameters:
  `valueType` - the key type
Returns:
  this

### create

public MVRTreeMap<V> create(Map<String,Object> config)
Description copied from class: `MVMap.BasicBuilder`
Create map from config.

Specified by:
  `create` in class `MVMap.BasicBuilder<MVRTreeMap<V>,Spatial,V>`
Parameters:
  `config` - config map
Returns:
  new map